#!/bin/sh

KDIFF3_DESKTOP='kdiff3fileitemaction.desktop'

##
##
##

function restore_kdiff3_dircmp()
{
   kdesevicespath=`kde4-config --path services`
   ORIGIFS=$IFS; IFS=':'
   found=0

   # get kde services path
   [ -z "$1" ] && kdeservicespath="`kde4-config --path services`" \
               || kdeservicespath=$1

   for i in $kdeservicespath
   do
      # full name
      deskfile=$i/$KDIFF3_DESKTOP.kdiff3dircmp.backup

      if [ -e "$deskfile" ]; then
         found=1
         ownerid=`stat -c %u $deskfile`
         if [ `id -u` -ne $ownerid ]; then
            echo "------------------------------------------------------------"
            echo "Error: it seems you don't have permissions to move the file"
            echo "<$deskfile>."
            echo "------------------------------------------------------------"
         else
            echo "--------------------------------------------------------"
            echo "<$i/$KDIFF3_DESKTOP>"
            echo "has been restored."
            echo "--------------------------------------------------------"
            mv $deskfile $i/$KDIFF3_DESKTOP
         fi
      fi
   done

   IFS=$ORIGIFS
   if [ $found -ne 1 ]; then
      echo "----------------------------------------------"
      echo "$0: cannot find any file to restore."
      echo "----------------------------------------------"
      exit 1
   fi
}

restore_kdiff3_dircmp $1
exit 0